Get all user costs uploads
curl --request GET \
--url https://api.vantage.sh/v2/integrations/{integration_token}/costs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/integrations/{integration_token}/costs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/integrations/{integration_token}/costs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user_costs_uploads": [
{
"token": "usr_csts_upld_1805b925d993c7f7",
"filename": "costs_0.csv",
"amount": "1234.56",
"start_date": "2021-01-01",
"end_date": "2021-03-31",
"import_status": "complete",
"created_by_token": "usr_72af6fb04ab65f3a",
"created_at": "2024-08-27T22:44:31.565Z"
},
{
"token": "usr_csts_upld_c3f4d5fbb23f96ce",
"filename": "costs_1.csv",
"amount": "789.01",
"start_date": "2021-04-01",
"end_date": "2021-06-30",
"import_status": "processing",
"created_by_token": "usr_b06d7ed79c48f02e",
"created_at": "2024-08-27T22:44:31.582Z"
}
]
}Integrations
Get all user costs uploads
List UserCostUploads.
GET
/
integrations
/
{integration_token}
/
costs
Get all user costs uploads
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
⌘I